#!/usr/bin/env node
import { HostingConfiguration } from "../shared/types";
export default function handleInitCommand(s3: boolean): Promise<void>;
export declare function init_repository(): Promise<void>;
export declare function saveAndLogConfiguration(newHostingConfiguration: HostingConfiguration): void;
export declare function init_s3(): Promise<void>;
/**
 * Copies a build configuration template to the tool folder if it does not already exist.
 *
 * @param frameworkName - The name of the framework to determine the source build configuration file.
 */
export declare function copyBuildConfigIfNotExists(fileName: string): void;
export declare function copyCffIfNotExists(fileName: string): void;
export declare function getUserDomainPreference(currentHostingConfig: HostingConfiguration): Promise<{
    domainName: any;
    hostedZoneId: any;
}>;
